Bug 248419 (poppler-20.08.0) - [exp-run] Upgrade graphics/poppler to 20.08.0
Summary: [exp-run] Upgrade graphics/poppler to 20.08.0
Status: Closed FIXED
Alias: poppler-20.08.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/freebsd/freebsd-po...
Keywords:
Depends on: 248530
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-01 22:07 UTC by Tobias C. Berner
Modified: 2020-08-18 01:44 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (1.11 KB, patch)
2020-08-01 22:07 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2020-08-01 22:07:54 UTC
Created attachment 216947 [details]
v1

Moin moin 

desktop@ would like to ask for an exp-run to upgrade graphics/poppler to 20.08.0.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/poppler-20.08.0.v1.diff


mfg Tobias
Comment 2 commit-hook freebsd_committer 2020-08-08 07:05:23 UTC
A commit references this bug:

Author: tcberner
Date: Sat Aug  8 07:05:08 UTC 2020
New revision: 544364
URL: https://svnweb.freebsd.org/changeset/ports/544364

Log:
  net/kitinerary: prepare for poppler 20.08.0 update

  PR:		248419

Changes:
  head/net/kitinerary/Makefile
  head/net/kitinerary/distinfo
Comment 3 commit-hook freebsd_committer 2020-08-08 07:22:26 UTC
A commit references this bug:

Author: tcberner
Date: Sat Aug  8 07:21:29 UTC 2020
New revision: 544366
URL: https://svnweb.freebsd.org/changeset/ports/544366

Log:
  graphics/katarakt: prepare for poppler 20.08.0

  - the minor version now represents a two digit calendar month,
    given that 08 and 09 are invalid octals, strip the leading zero
    out.

  PR:		248419

Changes:
  head/graphics/katarakt/files/patch-katarakt.pro
Comment 4 commit-hook freebsd_committer 2020-08-08 07:31:29 UTC
A commit references this bug:

Author: tcberner
Date: Sat Aug  8 07:31:01 UTC 2020
New revision: 544367
URL: https://svnweb.freebsd.org/changeset/ports/544367

Log:
  graphics/katarakt: prepare for poppler 20.08.0 (fixed)

  - unfortunately the fix applied in r544366 broke the build
    in the current tree  (and I impatiently committed before
    the trunk testbuild was finished)
  - simply remove all the broken POPPLER_VERSION checks, the
    version in ports is well-defined and years newer than
    anything that is checked against.

  PR:		248419
  Pointy hat:	tcberner

Changes:
  head/graphics/katarakt/files/patch-src_resourcemanager.cpp
  head/graphics/katarakt/files/patch-src_search.cpp
  head/graphics/katarakt/files/patch-src_util.h
Comment 5 commit-hook freebsd_committer 2020-08-09 09:59:51 UTC
A commit references this bug:

Author: tcberner
Date: Sun Aug  9 09:59:39 UTC 2020
New revision: 544560
URL: https://svnweb.freebsd.org/changeset/ports/544560

Log:
  converters/pdf2djvu: update to 0.9.17.1 to prepare for poppler >= 20.08.0

  - this minor release includes a fix to handles graphic/poppler's changed
    versioning scheme

  PR:		248530
  PR:		248419
  Approved by:	Samy Mahmoudi <samy.mahmoudi@gmail.com> (maintainer)

Changes:
  head/converters/pdf2djvu/Makefile
  head/converters/pdf2djvu/distinfo
Comment 6 Tobias C. Berner freebsd_committer 2020-08-09 10:01:10 UTC
Antoine, the three fallouts are fixed in svn, do you want to rerun the exp-run?

mfg Tobias
Comment 7 Antoine Brodin freebsd_committer 2020-08-13 20:21:13 UTC
Exp-run looks fine
Comment 8 commit-hook freebsd_committer 2020-08-14 04:03:20 UTC
A commit references this bug:

Author: tcberner
Date: Fri Aug 14 04:02:20 UTC 2020
New revision: 544863
URL: https://svnweb.freebsd.org/changeset/ports/544863

Log:
  graphics/poppler: update to 20.08.0

  Release 20.08.0:
          core:
           * Sub-page objects: initialize clip max values considering the render resolution. Issue #937
           * Splash: Set initial line width to 1. Issue #674
           * Fix stack overflow with specially crafted files
           * GfxShading: Simplify holding the Function
           * Splash: Fix x86 + windows asm build

          qt5:
           * Deprecate Document::toc
           * Deprecate AnnotationUtils

  PR:		248419
  Exp-run by:	antoine

Changes:
  head/graphics/poppler/Makefile
  head/graphics/poppler/distinfo
Comment 9 Tobias C. Berner freebsd_committer 2020-08-14 04:03:46 UTC
Thanks for the exp-run.